Page MenuHomePhabricator

lfs: don't skip locally available blobs when verifying
ClosedPublic

Authored by mharbison72 on Dec 23 2019, 2:47 AM.

Details

Summary

The skipflags config was introduced in a2ab9ebcd85b, which specifically calls
out downloading and storing all blobs as potentially too expensive. But I don't
see any reason to skip blobs that are already available locally. Hashing the
blob is the only way to indirectly verify the rawdata content stored in the
revlog.

(The note in that commit about skipping renamed is still correct, but the reason
given about needing fulltext isn't.)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Dec 23 2019, 2:47 AM

This seems good. But planned changes in D7708 will create a merge conflict. So holding off on accepting for now.

durin42 requested changes to this revision.Jan 8 2020, 3:00 PM
durin42 added a subscriber: durin42.

Needs rebased.

This revision now requires changes to proceed.Jan 8 2020, 3:00 PM
pulkit accepted this revision.Jan 14 2020, 10:01 AM
This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.